#include <sys/utsname.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main()
{
    char computer[256];
    struct utsname uts;

    if(gethostname(computer, 255) != 0 || uname(&uts) < 0) {
        fprintf(stderr, "Nemohu zjistit informace o hostiteli\n");
        exit(1);
    }

    printf("Hostitelsk nzev potae je %s\n", computer);
    printf("Systm je %s, b na hardwaru %s\n", uts.sysname, uts.machine);
    printf("Nzev uzlu je %s\n", uts.nodename); 
    printf("slo verze je %s, %s\n", uts.release, uts.version);
    exit(0);
}

