// 1. 	Do programu zalenme hlavikov soubory s definic vech funkc, kter budeme potebovat:
#include <sys/types.h>
#include <sys/resource.h>
#include <sys/time.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
// 2. 	Funkce work zape 10 000-krt uren etzec do doasnho souboru a provede 
// jist aritmetick operace - tm vygeneruje zt procesoru:
void work()
{
    FILE *f;
    int i;
    double x = 4.5;

    f = tmpfile();
    for(i = 0; i < 10000; i++) {
        fprintf(f,"Nco vypeme na vstup\n");
        if(ferror(f)) {
            fprintf(stderr,"Chyba pi zpisu do doasnho souboru\n");
            exit(1);
        }
    }
    for(i = 0; i < 1000000; i++)
        x = log(x*x + 3.21);
}
// 3. 	Z hlavn funkce main vyvolme funkci work, a pot pomoc funkce getrusage zjistme, 
// kolik asu procesoru jej vpoet spoteboval. Informace vypeme na obrazovku:
int main()
{
    struct rusage r_usage;
    struct rlimit r_limit;
    int priority;

    work();
    getrusage(RUSAGE_SELF, &r_usage);

    printf("Vyuit procesoru: Uivatel = %ld.%06ld, Systm = %ld.%06ld\n",
        r_usage.ru_utime.tv_sec, r_usage.ru_utime.tv_usec,
        r_usage.ru_stime.tv_sec, r_usage.ru_stime.tv_usec);
// 4. 	Dle zavolme funkce getpriority a getrlimit, ze kterch zjistme aktuln 
// prioritu a limit velikosti souboru:
    priority = getpriority(PRIO_PROCESS, getpid());
    printf("Aktuln priorita = %d\n", priority);

    getrlimit(RLIMIT_FSIZE, &r_limit);
    printf("Aktuln limit FSIZE: mkk = %ld, tvrd = %ld\n",
    r_limit.rlim_cur, r_limit.rlim_max);
// 5. 	Nakonec pomoc funkce setrlimit nastavme limit velikosti souboru a znovu vyvolme 
// funkci work, kter tentokrt sele, protoe poadovan velikost souboru je ji pli velk:
    r_limit.rlim_cur = 2048;
    r_limit.rlim_max = 4096;
    printf("Nastaven limitu velikosti souboru 2 KB\n");
    setrlimit(RLIMIT_FSIZE, &r_limit);

    work();
    exit(0);
}

