// 	Zaneme nkolika vodnmi dky, kde definujeme pole text nabdek a prototyp funkce getchoice:
#include <stdio.h>
#include <stdlib.h>

char *menu[] = {
    "a - pidat nov zznam",
    "d - odstranit zznam",
    "q - konec",
    NULL,
};

int getchoice(char *greet, char *choices[]);

//	Nsleduje funkce main, kter bude volat funkci getchoice s na pokusnou nabdkou menu:
int main()
{
    int choice = 0;

    if(!isatty(fileno(stdout))) {
        fprintf(stderr,"Program neb na terminlu!\n");
        exit(1);
    }
    do {
        choice = getchoice("Vyberte prosm operaci", menu);
        printf("Zvolili jste: %c\n", choice);
    } while(choice != 'q');
    exit(0);
}


// A te konen pichz ten nejdleitj kd - slben funkce, kter vype nabdku a pete vstup od uivatele:
int getchoice(char *greet, char *choices[])
{
    int chosen = 0;
    int selected;
    char **option;

    do {
        printf("Volba: %s\n",greet);
        option = choices;
        while(*option) {
            printf("%s\n",*option);
            option++;
        }
        selected = getchar();
        option = choices;
        while(*option) {
            if(selected == *option[0]) {
                chosen = 1;
                break;
            }
            option++;
        }
        if(!chosen) {
            printf("Nesprvn volba, vyberte znovu\n");
        }
    } while(!chosen);
    return selected;
}

