#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "app_mysql.h"

int main() {
    struct current_cd_st cd;
    struct cd_search_st cd_res;
    struct current_tracks_st ct;
    int cd_id;
    int res, i;
// Jako prvn musme v aplikaci vdy inicializovat databzov pipojen a zadat do 
// nj platn uivatelsk jmno a heslo (to mus samozejm platit na vaem konkrtnm systmu):
    database_start("rick", "tajn");
// Pot vyzkoume pidn novho CD:
    res = add_cd("Mahler", "Symphony No 1", "4596102", &cd_id);
    printf("Vsledek pidn CD byl %d, cd_id je %d\n", res, cd_id);

    memset(&ct, 0, sizeof(ct));
    ct.cd_id = cd_id;
    strcpy(ct.track[0], "Langsam Schleppend");
    strcpy(ct.track[1], "Kraftig bewegt");
    strcpy(ct.track[2], "Feierlich und gemessen");
    strcpy(ct.track[3], "Sturmisch bewegt");
    add_tracks(&ct);
// Nyn toto CD vyhledme a nateme  informace z prvnho nalezenho CD:
    res = find_cds("Symphony", &cd_res);
    printf("Nalezeno %d CD, prvn m ID %d\n", res, cd_res.cd_id[0]);

    res = get_cd(cd_res.cd_id[0], &cd);
    printf("get_cd vrtilo %d\n", res);

    memset(&ct, 0, sizeof(ct));
    res = get_cd_tracks(cd_res.cd_id[0], &ct);
    printf("get_cd_tracks vrtilo %d\n", res);
    printf("Titul: %s\n", cd.title);

    i = 0;
    while (i < res) {
        printf("\tstopa %d je %s\n", i, ct.track[i]);
        i++;
    }
// Nakonec CD odstranme:
    res = delete_cd(cd_res.cd_id[0]);
    printf("Delete_cd vrtilo %d\n", res);
// A jet se odpojme od databze a skonme program:
    database_end();

    return EXIT_SUCCESS;
}

