#include <gnome.h>

void closeApp ( GtkWidget *window, gpointer data)
{
    gtk_main_quit();
}
// Nadefinujeme funkci zptnho voln pro poloky nabdky, kterou nazveme
void item_clicked(GtkWidget *widget, gpointer user_data)
{
    printf("Klepnul jsi na poloku!\n");
}
// Dle nsleduj definice nabdek. Budeme zde mt podzenou nabdku, 
// nabdku nejvy rovn a pole s dkem nabdek:
static GnomeUIInfo submenu[] = {
    {GNOME_APP_UI_ITEM, "Podzen nabdka", "Npovda k podzen nabdce",
    GTK_SIGNAL_FUNC(item_clicked), NULL, NULL, 0, NULL, 0, 0, NULL},
    {GNOME_APP_UI_ENDOFINFO, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, 0, NULL}
};

static GnomeUIInfo menu[] = {
    {GNOME_APP_UI_ITEM, "Poloka nabdky 1", "Npovda k nabdce",
        NULL, NULL, NULL, 0, NULL, 0, 0, NULL},
    {GNOME_APP_UI_SUBTREE, "Poloka nabdky 2", "Npovda k nabdce", submenu,
        NULL, NULL, 0, NULL, 0, 0, NULL},
    {GNOME_APP_UI_ENDOFINFO, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, 0, NULL}
};

static GnomeUIInfo menubar[] = {
    {GNOME_APP_UI_SUBTREE, "Poloka nejvy rovn", NULL, menu, NULL,
        NULL, 0, NULL, 0, 0, NULL},
    {GNOME_APP_UI_ENDOFINFO, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, 0, NULL}
};
// Ve funkci main pak provedeme obvyklou inicializaci a pot vytvome 
// ovldac prvek GnomeApp a nadefinujeme nabdky:
int main (int argc, char *argv[])
{
    GtkWidget *app;

    gnome_program_init ("gnome1", "0.1", LIBGNOMEUI_MODULE,
                        argc, argv,
                        GNOME_PARAM_NONE);

    app = gnome_app_new("gnome1", "Nabdky, nabdky, nabdky");

    gtk_window_set_default_size ( GTK_WINDOW(app), 300, 200);
    g_signal_connect ( GTK_OBJECT (app), "destroy",
                       GTK_SIGNAL_FUNC ( closeApp), NULL);

    gnome_app_create_menus ( GNOME_APP(app), menubar);

    gtk_widget_show(app);

    gtk_main();
    return 0;
}

