//	Program pro ten hesel password.c zahjme nsledujcmi definicemi:
#include <termios.h>
#include <stdio.h>
#include <stdlib.h>

#define PASSWORD_LEN 8

int main()
{
    struct termios initialrsettings, newrsettings;
    char password[PASSWORD_LEN + 1];

// 	Dle pidme dek kdu, v nm nateme aktuln nastaven ze standardnho vstupu, 
// a zkoprujeme je do ve vytvoen struktury termios:
    tcgetattr(fileno(stdin), &initialrsettings);
// Nyn zkoprujeme pvodn nastaven, abychom je mohli na konci programu obnovit. 
// Ve struktue newrsettings vypneme pznak ECHO a podme uivatele o zadn hesla:
    newrsettings = initialrsettings;
    newrsettings.c_lflag &= ~ECHO;

    printf("Zadejte heslo: ");
// 	V dalm kroku nastavme atributy terminlu podle struktury newrsettings a nateme heslo.
//  Nakonec jet obnovme atributy terminlu do pvodnho stavu a vypeme naten heslo na
// obrazovku - a vlastn vechna bezpenostn opaten jsou nm tm pdem k niemu.
    if(tcsetattr(fileno(stdin), TCSAFLUSH, &newrsettings) != 0) {
        fprintf(stderr,"Nemohu nastavit atributy\n");
    }
    else {
        fgets(password, PASSWORD_LEN, stdin);
        tcsetattr(fileno(stdin), TCSANOW, &initialrsettings);
        fprintf(stdout, "\nZadali jste %s\n", password);
    }
    exit(0);
}

