// Jako obvykle zaneme potebnmi definicemi:
#include <unistd.h>
#include <stdlib.h>
#include <curses.h>

int main()
{
    WINDOW *new_window_ptr;
    WINDOW *popup_window_ptr;
    int x_loop;
    int y_loop;
    char a_letter = 'a';

    initscr();
// Nyn naplnme bzov okno znaky a po definovn logick obrazovky provedeme aktualizaci fyzick obrazovky:
    move(5, 5);
    printw("%s", "Test vce oken");
    refresh();

    for (y_loop = 0; y_loop < LINES - 1; y_loop++) {
        for (x_loop = 0; x_loop < COLS - 1; x_loop++) {
            mvwaddch(stdscr, y_loop, x_loop, a_letter);
            a_letter++;
            if (a_letter > 'z') a_letter = 'a';
        }
    }

    /* Aktualizace obrazovky */
    refresh();
    sleep(2);
// Pot vytvome nov okno o rozmru 10 x 20, zapeme do nj text a nakonec vyvolme jeho vykreslen na obrazovce:
    new_window_ptr = newwin(10, 20, 5, 5);
    mvwprintw(new_window_ptr, 2, 2, "%s", "Hello World");
    mvwprintw(new_window_ptr, 5, 2, "%s",
            "Vimnte si jak se zalamuj dlouh dky");
    wrefresh(new_window_ptr);
    sleep(2);
// Zmnme obsah okna v pozad. Po aktualizaci obrazovky je okno, na kter ukazuje new_window_ptr, zakryt tmto oknem:
    a_letter = '0';
    for (y_loop = 0; y_loop < LINES -1; y_loop++) {
        for (x_loop = 0; x_loop < COLS - 1; x_loop++) {
            mvwaddch(stdscr, y_loop, x_loop, a_letter);
            a_letter++;
            if (a_letter > '9')
            a_letter = '0';
        }
    }

    refresh();
    sleep(2);
// Pokud se nyn pokusme nov okno aktualizovat, nic se nezmn, protoe jsme jeho obsah zatm nezmnili:
    wrefresh(new_window_ptr);
    sleep(2);
// Jakmile ale provedeme voln touchwin, bude si knihovna curses "myslet", e se okno zmnilo a po novm vyvoln wrefresh se objev znovu v poped:
    touchwin(new_window_ptr);
    wrefresh(new_window_ptr);
    sleep(2);
// A pidme jet jednou pekrvajc se okno a vykreslme okolo nj rmeek:
    popup_window_ptr = newwin(10, 20, 8, 8);
    box(popup_window_ptr, '|', '-');
    mvwprintw(popup_window_ptr, 5, 2, "%s", "Vyskakovac okno!");
    wrefresh(popup_window_ptr);
    sleep(2);
// Nakonec si s novm oknem a vyskakovacm oknem jet trochu "pohrajeme", pak je smaeme a program ukonme:
    touchwin(new_window_ptr);
    wrefresh(new_window_ptr);
    sleep(2);
    wclear(new_window_ptr);
    wrefresh(new_window_ptr);
    sleep(2);
    delwin(new_window_ptr);
    touchwin(popup_window_ptr);
    wrefresh(popup_window_ptr);
    sleep(2);
    delwin(popup_window_ptr);
    touchwin(stdscr);
    refresh();
    sleep(2);
    endwin();
    exit(EXIT_SUCCESS);
}

