#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <pthread.h>

void *thread_function(void *arg);

char message[] = "Hello World";

int main() {
    int res;
    pthread_t a_thread;
    void *thread_result;

    res = pthread_create(&a_thread, NULL, thread_function, (void *)message);
    if (res != 0) {
        perror("Vytvoen vlkna selhalo");
        exit(EXIT_FAILURE);
    }
    printf("ekm na dokonen vlkna...\n");
    res = pthread_join(a_thread, &thread_result);
    if (res != 0) {
        perror("Pipojen k vlknu selhalo");
        exit(EXIT_FAILURE);
    }
    printf("Vlkno je pipojeno, vrtilo %s\n", (char *)thread_result);
    printf("Zprva je %s\n", message);
    exit(EXIT_SUCCESS);
}

void *thread_function(void *arg) {
    printf("B thread_function. Argument byl %s\n", (char *)arg);
    sleep(3);
    strcpy(message, "Nashle!");
    pthread_exit("Dky za tvj strojov as");
}

