/*
	Zalenme hlaviky GNOME a hlavikov soubor funkc rozhran, vytvoench v 
	kapitole 8. Tento pklad vyuv zdrojov soubory app_mysql.h a app_mysql.c 
	z kapitoly 8, a tak stejnou databzi vytvoenou v uveden kapitole.
*/
#include <gnome.h>
#include "app_mysql.h"
// Nsleduje vtov typ enum s oznaenm sloupc ovldacho prvku GtkTreeView, 
// v nm budeme zobrazovat disky CD a jejich stopy:
enum {
    COLUMN_TITLE,
    COLUMN_ARTIST,
    COLUMN_CATALOGUE,
    N_COLUMNS
};
// V souboru interface.c budou ti funkce pro vytvoen oken:
GtkWidget *create_main_window();
GtkWidget *create_login_dialog();
GtkWidget *create_addcd_dialog();
// Do souboru callbacks.c umstme funkce zptnho voln pro poloky nabdek, 
// panel nstroj, tlatka dialog a tlatko vyhledvn:
/* Zptn voln pro ukonen aplikace */
void quit_app( GtkWidget * window, gpointer data);

//gint confirm_exit();

/* Zptn voln pro potvrzen ukonen */
gboolean delete_event_handler ( GtkWidget *window, GdkEvent *event, gpointer data);

/* Zptn voln napojen na signl 'response' z dialogu addcd */
void addcd_dialog_button_clicked (GtkDialog * dialog, gint response,
                                     gpointer userdata);

/* Zptn voln pro poloku nabdky a tlatko panelu nstroj 'Pidat CD' */
void on_addcd_activate (GtkMenuItem  * menuitem, gpointer user_data);

/* Zptn voln pro ukonen */
void on_quit_activate (GtkMenuItem  * menuitem, gpointer user_data);

/* Zptn voln pro tlatko nabdky 'O aplikaci' */
void on_about_activate (GtkMenuItem  * menuitem, gpointer user_data);

/* Zptn voln pro tlatko hledn */
void on_search_button_clicked (GtkButton *button, gpointer userdata);

